/**
 * Beispiel fur eine Klasse, die das Interface
 * "ComparableContent" implementiert.
 * 
 * Hier erfolgt der Vergleich nach dem Geburtsjahr.
 */

public class Person implements ComparableContent<Person>
{
    private String zNachname;
    private String zVorname;
    private int zGebJahr;

    public Person(String pNachname, String pVorname, int pGeburtsjahr) {
        zNachname = pNachname;
        zVorname = pVorname;
        zGebJahr = pGeburtsjahr;
    }

    public String gibNachnamen() {
        return zNachname;
    }

    public String gibVornamen() {
        return zVorname;
    }
    
    public int gibGeburtsjahr() {
        return zGebJahr;
    }
    
    public boolean isLess(Person pAndere) {
        int lAnderesGebJahr = ((Person) pAndere).zGebJahr;
        return zGebJahr > lAnderesGebJahr;
    }
    
    public boolean isEqual(Person pAndere) {
        int lAnderesGebJahr = ((Person) pAndere).zGebJahr;
        return zGebJahr == lAnderesGebJahr;
    }
    
    public boolean isGreater(Person pAndere) {
        int lAnderesGebJahr = ((Person) pAndere).zGebJahr;
        return zGebJahr < lAnderesGebJahr;
    }

}
